Package dev.plex.storage

# Enum Class StorageType

java.lang.Object
java.lang.Enum<StorageType>
dev.plex.storage.StorageType

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageType>`, `Constable`

public enum StorageType extends Enum<StorageType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MARIADB`
`MONGODB`
`SQLITE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`StorageType()`

## Method Summary

Modifier and Type
Method
Description
`static StorageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StorageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MONGODB

public static final StorageType MONGODB

### MARIADB

public static final StorageType MARIADB

### SQLITE

public static final StorageType SQLITE

## Constructor Details

### StorageType

private StorageType()

## Method Details

### values

public static StorageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StorageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null